import request from '@/utils/request'

// 查询商品类型管理列表
export function listCategory(query) {
    return request({
        url: '/mapi/core/category/list',
        method: 'get',
        params: query
    })
}

// 查询商品类型管理详细
export function getCategory(id) {
    return request({
        url: '/mapi/core/category/' + id,
        method: 'get'
    })
}

// 新增商品类型管理
export function addCategory(data) {
    return request({
        url: '/mapi/core/category',
        method: 'post',
        data: data
    })
}

// 修改商品类型管理
export function updateCategory(data) {
    return request({
        url: '/mapi/core/category',
        method: 'put',
        data: data
    })
}

// 删除商品类型管理
export function delCategory(id) {
    return request({
        url: '/mapi/core/category/' + id,
        method: 'delete'
    })
}


// 修改商品类型管理状态
export function updateCategoryStatus(id,status) {
    const data = {
        id,
        status
    }
    return request({
        url: '/mapi/core/category/updateStatus',
        method: 'post',
        data: data
    })
}